complex_vector_int.c File Reference
`#include <inttypes.h>`
`#include <stdlib.h>`
`#include <stdio.h>`
`#include <string.h>`
`#include <assert.h>`
`#include "floating_fudge.h"`
`#include "mmx_sse_decs.h"`
`#include "spandsp/telephony.h"`
`#include "spandsp/logging.h"`
`#include "spandsp/complex.h"`
`#include "spandsp/vector_int.h"`
`#include "spandsp/complex_vector_int.h"`

## Functions

complexi32_t | cvec_dot_prodi16 (const complexi16_t x[], const complexi16_t y[], int n)
| Find the dot product of two complex int16_t vectors.
complexi32_t | cvec_dot_prodi32 (const complexi32_t x[], const complexi32_t y[], int n)
| Find the dot product of two complex int32_t vectors.
complexi32_t | cvec_circular_dot_prodi16 (const complexi16_t x[], const complexi16_t y[], int n, int pos)
| Find the dot product of two complex int16_t vectors, where the first is a circular buffer with an offset for the starting position.
void | cvec_lmsi16 (const complexi16_t x[], complexi16_t y[], int n, const complexi16_t *error)
void | cvec_circular_lmsi16 (const complexi16_t x[], complexi16_t y[], int n, int pos, const complexi16_t *error)

## Function Documentation

## cvec_circular_dot_prodi16()

complexi32_t cvec_circular_dot_prodi16 | ( | const complexi16_t | x[],
|  | const complexi16_t | y[],
|  | int | n,
|  | int | pos )

Find the dot product of two complex int16_t vectors, where the first is a circular buffer with an offset for the starting position.

Parameters

  x | The first vector.
  y | The first vector.
  n | The number of elements in the vectors.
  pos | The starting position in the x vector.

Returns
  The dot product of the two vectors.

References cvec_dot_prodi16().

## cvec_dot_prodi16()

complexi32_t cvec_dot_prodi16 | ( | const complexi16_t | x[],
|  | const complexi16_t | y[],
|  | int | n )

Find the dot product of two complex int16_t vectors.

Parameters

  x | The first vector.
  y | The first vector.
  n | The number of elements in the vectors.

Returns
  The dot product of the two vectors.

References complexi16_t::im, complexi32_t::im, complexi16_t::re, and complexi32_t::re.

Referenced by cvec_circular_dot_prodi16().

## cvec_dot_prodi32()

complexi32_t cvec_dot_prodi32 | ( | const complexi32_t | x[],
|  | const complexi32_t | y[],
|  | int | n )

Find the dot product of two complex int32_t vectors.

Parameters

  x | The first vector.
  y | The first vector.
  n | The number of elements in the vectors.

Returns
  The dot product of the two vectors.

References complexi32_t::im, and complexi32_t::re.